<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

   <ejb-jar>
      <description>Corp Domain</description>
      <display-name>Corp</display-name>
      <enterprise-beans>
         <entity>
            <description>Customer Entity Bean</description>
            <display-name>CustomerEnt</display-name>
            <ejb-name>CustomerEnt</ejb-name>
            <local-home>org.spec.jappserver.corp.customerent.ejb.CustomerEntHomeLocal</local-home>
            <local>org.spec.jappserver.corp.customerent.ejb.CustomerEntLocal</local>
            <ejb-class>org.spec.jappserver.corp.customerent.ejb.CustomerCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>CustomerEnt</abstract-schema-name>
            <cmp-field>
               <field-name>customerId</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>since</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>balance</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>credit</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>creditLimit</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>ytdPayment</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>phone</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>zip</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>country</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>state</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>city</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>street2</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>street1</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>contact</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>lastName</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>firstName</field-name>
            </cmp-field>
            <primkey-field>customerId</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
            	<ejb-ref-name>ejb/CustomerInventoryEnt</ejb-ref-name>
            	<ejb-ref-type>Entity</ejb-ref-type>
            	<local-home>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocalHome</local-home>
            	<local>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocal</local>
            	<ejb-link>CustomerInventoryEnt</ejb-link>
            </ejb-local-ref>
         </entity>
         <session>
            <description>Corp Auditing Session Bean</description>
            <display-name>CorpAuditSes</display-name>
            <ejb-name>CorpAuditSes</ejb-name>
            <home>org.spec.jappserver.corp.corpauditses.ejb.CorpAuditSesHome</home>
            <remote>org.spec.jappserver.corp.corpauditses.ejb.CorpAuditSes</remote>
            <ejb-class>org.spec.jappserver.corp.corpauditses.ejb.CorpAuditSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry>
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <resource-ref>
               <description>Corp DB dataSource</description>
               <res-ref-name>CorpDataSource</res-ref-name>
               <res-type>javax.sql.DataSource</res-type>
               <res-auth>Container</res-auth>
            </resource-ref>
         </session>
         <session>
         	<display-name>CustomerSes</display-name>
         	<ejb-name>CustomerSes</ejb-name>
         	<home>org.spec.jappserver.corp.customerses.ejb.CustomerSesHome</home>
         	<remote>org.spec.jappserver.corp.customerses.ejb.CustomerSes</remote>
         	<local-home>org.spec.jappserver.corp.customerses.ejb.CustomerSesHomeLocal</local-home>
         	<local>org.spec.jappserver.corp.customerses.ejb.CustomerSesLocal</local>
         	<ejb-class>org.spec.jappserver.corp.customerses.ejb.CustomerSesEJB</ejb-class>
         	<session-type>Stateless</session-type>
         	<transaction-type>Container</transaction-type>
         	<env-entry>
         		<env-entry-name>debuglevel</env-entry-name>
         		<env-entry-type>java.lang.Integer</env-entry-type>
         		<env-entry-value>0</env-entry-value>
         	</env-entry>
         	<ejb-local-ref>
         		<description></description>
         		<ejb-ref-name>ejb/CustomerEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.corp.customerent.ejb.CustomerEntHomeLocal</local-home>
         		<local>org.spec.jappserver.corp.customerent.ejb.CustomerEntLocal</local>
         		<ejb-link>CustomerEnt</ejb-link>
         	</ejb-local-ref>
         	<ejb-local-ref>
         		<description></description>
         		<ejb-ref-name>ejb/CustomerInventoryEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocalHome</local-home>
         		<local>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocal</local>
         		<ejb-link>CustomerInventoryEnt</ejb-link>
         	</ejb-local-ref>
         </session>
         <entity>
         	<description>CustomerInventory Entity Bean</description>
         	<display-name>CustomerInventoryEnt</display-name>
         	<ejb-name>CustomerInventoryEnt</ejb-name>
         	<local-home>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocalHome</local-home>
         	<local>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocal</local>
         	<ejb-class>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryCmp20EJB</ejb-class>
         	<persistence-type>Container</persistence-type>
         	<prim-key-class>java.lang.Integer</prim-key-class>
         	<reentrant>False</reentrant>
         	<cmp-version>2.x</cmp-version>
         	<abstract-schema-name>CustomerInventoryEnt</abstract-schema-name>
         	<cmp-field>
         		<field-name>quantity</field-name>
         	</cmp-field>
         	<cmp-field>
         		<field-name>id</field-name>
         	</cmp-field>
         	<cmp-field>
         		<field-name>itemId</field-name>
         	</cmp-field>
         	<cmp-field>
         		<field-name>customerId</field-name>
         	</cmp-field>
         	<cmp-field>
         		<field-name>value</field-name>
         	</cmp-field>
         	<primkey-field>id</primkey-field>
         	<env-entry>
         		<env-entry-name>debuglevel</env-entry-name>
         		<env-entry-type>java.lang.Integer</env-entry-type>
         		<env-entry-value>0</env-entry-value>
         	</env-entry>
         	<ejb-ref>
         		<description></description>
         		<ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
         		<ejb-ref-type>Session</ejb-ref-type>
         		<home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
         		<remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
         		<ejb-link>SequenceSes</ejb-link>
         	</ejb-ref>
         </entity>
      </enterprise-beans>
      <relationships>
      	<ejb-relation>
      		<description></description>
      		<ejb-relation-name>CustomerEnt-CustomerInventoryEnt</ejb-relation-name>
      		<ejb-relationship-role>
      			<ejb-relationship-role-name>customerent</ejb-relationship-role-name>
      			<multiplicity>Many</multiplicity>
      			<cascade-delete />
      			<relationship-role-source>
      				<ejb-name>CustomerInventoryEnt</ejb-name>
      			</relationship-role-source>
      			<cmr-field>
      				<cmr-field-name>customer</cmr-field-name>
      			</cmr-field>
      		</ejb-relationship-role>
      		<ejb-relationship-role>
      			<ejb-relationship-role-name>customerinventoryent</ejb-relationship-role-name>
      			<multiplicity>One</multiplicity>
      			<relationship-role-source>
      				<ejb-name>CustomerEnt</ejb-name>
      			</relationship-role-source>
      			<cmr-field>
      				<cmr-field-name>customerInventoryEnt</cmr-field-name>
      				<cmr-field-type>java.util.Collection</cmr-field-type>
      			</cmr-field>
      		</ejb-relationship-role>
      	</ejb-relation>
      </relationships>
      <assembly-descriptor>
         <container-transaction>
            <method>
               <ejb-name>CustomerEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>CorpAuditSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
         	<method>
         		<ejb-name>CustomerSes</ejb-name>
         		<method-name>*</method-name>
         	</method>
         	<trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
         	<method>
         		<ejb-name>CustomerInventoryEnt</ejb-name>
         		<method-name>*</method-name>
         	</method>
         	<trans-attribute>Required</trans-attribute>
         </container-transaction>
      </assembly-descriptor>
   </ejb-jar>
